Operational APIs
Claims
We are offering an automated process to take the stress out of the traditional claim processing and settlement.
This means, with our responsive Claims Tracking API, no manual process is involved while you seamlessly track and monitor the claim status between customers and providers.
Our status endpoint enables our server to respond with the claim details and status of the specified claim reference.
View Claims
See a list of all the claims made by your customers and your providers’ response on your integration.
GET
https://v2.api.mycover.ai/v2/claimsQuery Parameters
| Name | Type | Description |
|---|---|---|
| page | number | Page number of response |
| limit | number | Number of data per page |
| status | string | Filter claims by status (Pending, Documented, Inspection submitted, Approved, Declined, Repair estimate requested, Repair estimate provided, Repair estimate submitted, Offer sent, Offer accepted, Offer rejected, Paid) or Ongoing - which means claims not closed or rejected. |
| type | string | Search by type of claim (Vehicle, Bike, Gadget, Travel, Credit life) |
| start_date | string | View claims by the date submitted (from) |
| end_date | string | View claims by the date submitted (to) |
| customer_id | string | View claims by your customer's id |
| search | string | View claims by search query |
Response
200 OK
{
"responseCode": 1,
"responseText": "Claims retrieved successfully",
"data": {
"total_result": 86,
"claims": [
{
"id": "9cdf65f6-f982-4f8c-a17a-923bfa20b05f",
}
]
}
}
Get One Claim Details by ID
GET
https://v2.api.mycover.ai/v2/claims/:claimIdResponse
200 OK
{
"responseCode": 1,
"responseText": "Claim retrieved successfully",
"data": {
"claim":{
"id": "9cdf65f6-f982-4f8c-a17a-923bfa20b05f",
}
}
Policies
This section details all the endpoints needed to view the individual policies of your customers. You can query active policyholders on your integration.
Customers
Our API offers a convenient way to manage your customers by providing a comprehensive set of functionalities that enable you to automate the customer management process.